Subject: [bug#45523] [PATCH 0/2] Update for frrouting & add libyang

From: Leo Famulari <[email-masked]>
Date: Wed, 30 Dec 2020 19:11:58 -0500

On Tue, Dec 29, 2020 at 11:17:54AM +0100, Vincent Legoll wrote:
> I was not sure if I should have made pcre a
> propagated-input in libyang instead of adding
> it to frrouting or something like that.

libyang includes pcre in the Requires.private field of libyang.pc.
According to the 'package reference' section of the Guix manual,
inputs should be propagated in this case:

https://guix.gnu.org/manual/en/html_node/package-Reference.html

> I used the BSD-3 license for libyang, this should
> be checked as I am not sure this is the right one.

(guix licenses) includes links to authoritative sources on licenses:

https://git.savannah.gnu.org/cgit/guix.git/tree/guix/licenses.scm#n167

You can check the package's LICENSE file against those resources.